From: Tobias Geerinckx-Rice <me@tobias.gr>
Date: Sat, 14 Nov 2020 15:40:38 +0100
Subject: [PATCH] gnu: perl-www-curl: Remove undeclared symbols.

Copied verbatim from the FreeBSD port[0].

[0]: https://www.freshports.org/www/p5-WWW-Curl

--- a/Makefile.PL	2014-02-21 08:08:09.000000000 -0800
+++ b/Makefile.PL	2020-04-20 15:36:35.008798000 -0700
@@ -100,6 +100,13 @@
      print "Found curl.h in $curl_h\n";
      my @syms;
      my $has_cpp = 0;
+     my @skiplist = qw/
+        CURL_DID_MEMORY_FUNC_TYPEDEFS
+        CURL_STRICTER
+        CURLINC_CURL_H
+        CURL_WIN32
+        CURLOPT
+     /;
      open(H_IN, "-|", "cpp", $curl_h) and $has_cpp++;
      unless ($has_cpp) {
          warn "No working cpp ($!).  Parsing curl.h in Perl";
@@ -121,6 +128,7 @@
     open (H, "<", $curl_h) or die ("Cannot open $curl_h: ".$!);
     while(<H>) {
         if (/^#define (CURL[A-Za-z0-9_]*)/) {
+            next if $1 ~~ @skiplist;
             push @syms, $1;
         }
     }
/td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=05044a54468e091ead1dfa24662df02cd0929ad8'>refs</a><a class='active' href='/guix/log/tests/uuid.scm?showmsg=1'>log</a><a href='/guix/tree/tests/uuid.scm?id=05044a54468e091ead1dfa24662df02cd0929ad8'>tree</a><a href='/guix/commit/tests/uuid.scm?id=05044a54468e091ead1dfa24662df02cd0929ad8'>commit</a><a href='/guix/diff/tests/uuid.scm?id=05044a54468e091ead1dfa24662df02cd0929ad8'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/tests/uuid.scm'>
<input type='hidden' name='id' value='05044a54468e091ead1dfa24662df02cd0929ad8'/><input type='hidden' name='showmsg' value='1'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/log/?id=05044a54468e091ead1dfa24662df02cd0929ad8&amp;showmsg=1'>root</a>/<a href='/guix/log/tests?id=05044a54468e091ead1dfa24662df02cd0929ad8&amp;showmsg=1'>tests</a>/<a href='/guix/log/tests/uuid.scm?id=05044a54468e091ead1dfa24662df02cd0929ad8&amp;showmsg=1'>uuid.scm</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/tests/uuid.scm?id=05044a54468e091ead1dfa24662df02cd0929ad8'>Collapse</a>)</th><th class='left'>Author</th></tr>
<tr class='logheader'><td><span title='2019-05-07 12:18:44 +0200'>2019-05-07</span></td><td class='logsubject'><a href='/guix/commit/tests/uuid.scm?id=6c5790a2faf8ffc401e43b13425a707394e40874'>uuid: 'fat-uuid-&gt;string' preserves leading zeros.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
Fixes &lt;https://bugs.gnu.org/35582&gt;.
Reported by sirgazil &lt;sirgazil@zoho.com&gt;.

Previously, leading zeros would be removed, leading to an "invalid"
UUID:

  (uuid-&gt;string (uuid "00CA-050E" 'fat32))
  ⇒ "CA-50E"
  (string-&gt;uuid "CA-50E" 'fat32)
  ⇒ #f

* gnu/system/uuid.scm (fat-uuid-&gt;string): Pad digits with zeros.
* tests/uuid.scm ("uuid, FAT32, leading zeros preserved"): New test.


</td></tr>
<tr class='logheader'><td><span title='2018-05-19 00:14:52 +0200'>2018-05-19</span></td><td class='logsubject'><a href='/guix/commit/tests/uuid.scm?id=263c9941a1e523b360ca9f42d1ed6b11e6e6e285'>uuid: 'uuid' returns #f when 'string-&gt;uuid' returns #f.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
* gnu/system/uuid.scm (uuid): When STR is not a literal, return #f when
'string-&gt;uuid' returns #f.
* tests/uuid.scm ("uuid, dynamic value"): New test.


</td></tr>
<tr class='logheader'><td><span title='2017-10-06 14:16:23 +0200'>2017-10-06</span></td><td class='logsubject'><a href='/guix/commit/tests/uuid.scm?id=0b12324284f3fbf378d363070f91b794058ae570'>uuid: Fix typo in 'uuid=?' test.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
* tests/uuid.scm ("uuid=?"): Change to 'test-assert'.


</td></tr>
<tr class='logheader'><td><span title='2017-10-05 12:09:17 +0200'>2017-10-05</span></td><td class='logsubject'><a href='/guix/commit/tests/uuid.scm?id=aed1f1b049f6e7ef9f2f2db58bdca6cd3effe94b'>uuid: Add 'uuid=?' and use it.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
* gnu/system/uuid.scm (uuid=?): New procedure.
* tests/uuid.scm ("uuid=?"): New test.
* gnu/build/file-systems.scm (partition-uuid-predicate)
(luks-partition-uuid-predicate): Use it instead of 'bytevector=?'.


</td></tr>
<tr class='logheader'><td><span title='2017-09-22 18:40:57 +0200'>2017-09-22</span></td><td class='logsubject'><a href='/guix/commit/tests/uuid.scm?id=8a7d81a5e23c4d59fbabf2550db32d4ba5572e4b'>uuid: Add a parser for FAT32 UUIDs.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
* gnu/system/uuid.scm (%fat32-uuid-rx): New variable.
(string-&gt;fat32-uuid): New procedure.
(%uuid-parsers): Add it.
* tests/uuid.scm ("uuid, FAT32, format preserved"): New test.


</td></tr>
<tr class='logheader'><td><span title='2017-09-14 00:10:13 +0200'>2017-09-14</span></td><td class='logsubject'><a href='/guix/commit/tests/uuid.scm?id=8f3b63b5d73c0b49139c8a20b7576732abfdeeb8'>uuid: Move tests to 'tests/uuid.scm'.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
* tests/file-systems.scm ("uuid-&gt;string", "string-&gt;uuid")
("uuid", "uuid, syntax error"): Move to...
* tests/uuid.scm: ... here.  New file.
("uuid, ISO-9660, format preserved"): New test.


</td></tr>
